Bug 441529 - fhpd - 'alias' command doesn't work at all
fhpd - 'alias' command doesn't work at all
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: frysk (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Eric Bachalo
Len DiMaggio
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-08 12:09 EDT by Petr Muller
Modified: 2016-09-19 22:04 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-15 04:39:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Sourceware 5812 None None None Never

  None (edit)
Description Petr Muller 2008-04-08 12:09:50 EDT
Description of problem:
In fhpd, 'alias' command doesn't work. If I add some alias, I get 'Error: 
Unknown command' when using it. If I view the command with alias command, it is 
shown.

Version-Release number of selected component (if applicable):
frysk-0.0.1.2008.03.19.rh1-1.el5

How reproducible:
always

Steps to Reproduce:
1. fhpd
2. alias myhelp help
3. myhelp
  
Actual results:
Error: Unknown command: mb

Expected results:
help message

Additional info:
# fhpd
(fhpd) alias myhelp help
(fhpd) myhelp
Error: Unknown command: myhelp
(fhpd) alias myhelp
myhelp = help
Comment 1 Mark Wielaard 2008-04-11 07:05:25 EDT
Confirmed, this is upstream bug 5812 "alias command bugs". The alias command
isn't actually implemented. There is a generic AliasCommands.java (providing the
top leval commands Alias, UnAlias) but nothing actually uses it.

Note You need to log in before you can comment on or make changes to this bug.